org.apache.mina.integration.xbean

## Class StandardThreadPool

- java.lang.Object
- - org.apache.mina.integration.xbean.StandardThreadPool

- All Implemented Interfaces:
    Executor

      public class StandardThreadPool
      extends Object
      implements Executor

  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardThreadPool(int maxThreads)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(Runnable command)`
    `void` | `stop()` TODO wont this hang if some tasks are sufficiently badly behaved?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardThreadPool

          public StandardThreadPool(int maxThreads)

  - ### Method Detail

    - #### execute

          public void execute(Runnable command)

      Specified by:
        `execute` in interface `Executor`

    - #### stop

          public void stop()

      TODO wont this hang if some tasks are sufficiently badly behaved?

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.